﻿using J4L.RChart;
using System;
using System.Drawing;

public class ChartExamples {
	
	private static String[] lbls={"June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
	
	private static RValue[] doubleArrayToRValue(double[] d) {
		RValue[] r=new RValue[d.GetLength(0)];
		for (int i=0;i<d.GetLength(0);i++) r[i]=new RValue(d[i]);
		
		return r;
	}

    public static Chart Example9() {

	   // data
	  double[] d1={1,1,3,3.5,5,4,2};
      double[] d2={2,2,5,6,5.4,3.5,3.1};

          // series
	  LineDataSerie data1= new LineDataSerie(doubleArrayToRValue(d1),new LineStyle(1,Color.Blue,LineStyle.LINE_NORMAL));
	  data1.drawPoint=false;
	  data1.valueFont=new Font(new FontFamily("Arial"),11);
      //data1.fillStyle=new FillStyle(Color.Blue);
	  LineDataSerie data2= new LineDataSerie(doubleArrayToRValue(d2),new LineStyle(1,Color.Green,LineStyle.LINE_NORMAL));
	  data2.drawPoint=false;
	  data2.valueFont=new Font(new FontFamily("Arial"),11);
      data2.fillStyle=new FillStyle(Color.Green);

      // legend
	  Legend l=new Legend();
	  //l.background=new FillStyle(Color.LightGray);
	  //l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",new FillStyle(Color.Blue));
	  l.addItem("Services",new FillStyle(Color.Green));

	  // create title
	  Title title=new Title("Sales (thousands $)");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
      XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
      YAxis.bigTickInterval=2;
      YAxis.gridStyle=new LineStyle(1,Color.Gray,LineStyle.LINE_NORMAL);
	  String[] lbls={"June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
	  XAxis.tickLabels=lbls;


      HAxisLabel XLabel= new HAxisLabel("",Color.Blue,new Font(new FontFamily("Arial"),14));
	  VAxisLabel YLabel= new VAxisLabel("Brutto",Color.Black,new Font(new FontFamily("Arial"),14));

	  // plotter
	  LinePlotter3D plot=new LinePlotter3D();

	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
	  plot.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  plot.back=new FillStyle(Color.White);
          chart.back=new FillStyle(Color.Yellow);
          chart.back.colorFrom=Color.Yellow;
          chart.back.colorUntil=Color.White;
          chart.back.gradientType=FillStyle.GRADIENT_HORIZONTAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);

	  return chart;


	}


public static Chart Example8() {

	 // data
	  double[] d1={1,2,1,4,5,4,2};
	  BarDataSerie data1= new BarDataSerie(doubleArrayToRValue(d1),new FillStyle(Color.Orange));
	  //data1.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          data1.borderType=BarDataSerie.BORDER_RAISED;
	  data1.valueFont=new Font(new FontFamily("Arial"),10);

	  double[] d2={-1,3,4,4.2,6.4,4.5,6.1};
	  BarDataSerie data2= new BarDataSerie(doubleArrayToRValue(d2),new FillStyle(Color.Green));
	  data2.valueFont=new Font(new FontFamily("Arial"),10);
	  //data2.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          data2.borderType=BarDataSerie.BORDER_RAISED;
          data2.negativeStyle=new FillStyle(Color.Red);

          // if jdk 1.2, fill partner
          //String v=java.lang.System.getProperty("java.version");
          //if (v.indexOf("1.2")>=0) {
          //   image.BuffeRedImage bi = new image.BuffeRedImage(5, 5,
          //                      image.BuffeRedImage.TYPE_INT_RGB);
          //  Graphics2D big = bi.createGraphics();
          //  big.setColor(Color.Orange);
           // big.fillRect(0, 0, 5, 5);
          //  big.setColor(Color.Red);
          //  big.fillOval(0, 0, 5, 5);
          //  Rectangle r = new Rectangle(0,0,5,5);
          //  data1.style.fillPatern=(new TexturePaint(bi, r));
         //}


	  Legend l=new Legend();
	  l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Company A",new FillStyle(Color.Orange));
	  l.addItem("Company B",new FillStyle(Color.Green));
          l.background=new FillStyle(Color.LightGray);

	  // create title
	  Title title=new Title("Benefits companies A & B");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
	  Axis  Y2Axis=new Axis(Axis.VERTICAL,new Scale());

          XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  XAxis.scale.max=7;
	  YAxis.scale.min=-2;
	  YAxis.scale.max=7;
	  YAxis.IntegerScale=true;

	  Y2Axis.scale.min=-2;
	  Y2Axis.scale.max=7;
	  Y2Axis.IntegerScale=true;
	  Y2Axis.scaleTickInterval=1;

	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  XAxis.gridStyle=new LineStyle(1,Color.LightGray,LineStyle.LINE_DOTS);
      YAxis.gridStyle=new LineStyle(1,Color.LightGray,LineStyle.LINE_DOTS);
	  String[] lbls={"1992","1993","1994","1995","1996","1997","1998","1999"};
	  XAxis.tickLabels=lbls;

          HAxisLabel XLabel= new HAxisLabel("Year",Color.Black,new Font(new FontFamily("Arial"),12));
	  VAxisLabel YLabel= new VAxisLabel("million $",Color.Black,new Font(new FontFamily("Arial"),12));

	  // plotter
	  BarPlotter3D plot=new BarPlotter3D();
	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
      plot.interBarSpace=1;
	  plot.back=new FillStyle(Color.White);
	  plot.depth=20;
	  plot.fullDepth=true;
	  //chart.setY2Scale(Y2Axis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
	  chart.legendMargin=0.25;
      chart.back=new FillStyle(Color.Yellow);

       chart.backImage=Image.FromFile("back13.gif");

	 return chart;


	}

	public static Chart Example13() {

	  // first

	   // data
	  double[] d1={2,1 ,2 ,3 ,4 ,5 ,4 ,3};
	  double[] dmax1={0.5,0 ,0.2 ,0.1 ,0.5 ,0,1 ,0};
	  MaxMinDataSerie data1= new MaxMinDataSerie(doubleArrayToRValue(d1),null);
	  data1.bubbleChart=true;
	  data1.fillBubble=true;
	  data1.drawPoint=true;
      data1.pointColor=Color.FromArgb(100,Color.Green.R,Color.Green.G, Color.Green.B);
	  data1.setMaxMinValues(doubleArrayToRValue(dmax1),null);

	  //data1.valueFont=new Font("Arial",Font.BOLD,10);

	  double[] d2={2,1 ,2 ,3 ,4 ,5 ,4 ,3};
	  LineDataSerie data2= new LineDataSerie(doubleArrayToRValue(d2),new LineStyle(1,Color.White,LineStyle.LINE_DOTS));
      data2.valueFont=new Font(new FontFamily("Arial"),10);
      data2.valueColor=Color.Yellow;
	  data2.valueFont=new Font(new FontFamily("Arial"),10);

	  // second

	  double[] d3={1,2 ,3 ,2 ,3 ,4 ,1 ,2};
	  double[] dmax3={0,0.2 ,0.2 ,0 ,0.2 ,0,0.3 ,0};
	  MaxMinDataSerie data3= new MaxMinDataSerie(doubleArrayToRValue(d3),null);
	  data3.bubbleChart=true;
	  data3.fillBubble=false;
	  data3.drawPoint=true;
      data3.pointColor=Color.White;
	  data3.setMaxMinValues(doubleArrayToRValue(dmax3),null);

	  double[] d4={1,2 ,3 ,2 ,3 ,4 ,1 ,2};
	  LineDataSerie data4= new LineDataSerie(doubleArrayToRValue(d4),new LineStyle(1,Color.White,LineStyle.LINE_DOTS));
      data4.valueFont=new Font(new FontFamily("Arial"),10);
      data4.valueColor=Color.Yellow;
	  data4.valueFont=new Font(new FontFamily("Arial"),10);

	  // create title
	  Title title=new Title("Price");
      title.color=Color.White;

	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
      XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=-1;
	  XAxis.ceroAxis=Axis.CEROAXIS_NO;
	  YAxis.ceroAxis=Axis.CEROAXIS_NO;
	  YAxis.scale.min=0;
      YAxis.scale.max=6;
      YAxis.DescColor=Color.White;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
      XAxis.bigTickInterval=1;
      XAxis.DescColor=Color.White;
 	  String[] lbls={"","8 Jan.","9 Jan.","10 Jan.","11 Jan.","12 Jan.","13 Jan.","14 Jan.","15 Jan."};
	  XAxis.tickLabels=lbls;
      XAxis.style =new LineStyle(1,Color.White,LineStyle.LINE_NORMAL);
      YAxis.style =new LineStyle(1,Color.White,LineStyle.LINE_NORMAL);

      HAxisLabel XLabel= new HAxisLabel("Week",Color.White,new Font(new FontFamily("Arial"),12));
	  VAxisLabel YLabel= new VAxisLabel("Value",Color.White,new Font(new FontFamily("Arial"),12));

	  // plotter
	  LinePlotter plot=new LinePlotter();

	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.addSerie(data1);
	  chart.addSerie(data2);

	  chart.addSerie(data4);
	  chart.addSerie(data3);
      chart.back=new FillStyle(Color.BlueViolet);


	  return chart;

	}


	public static  Chart Example3() {

	  // data
	  //double[] d1={64,95,11,70};
      double[] d1={9918,22652,511,36811};


          // style of the pie
	  FillStyle[] s1={new FillStyle(Color.Cyan),new FillStyle(Color.Blue),new FillStyle(Color.Green),new FillStyle(Color.Yellow)};
	  PieDataSerie data1= new PieDataSerie(doubleArrayToRValue(d1),s1);
	  data1.textDistanceToCenter=1.2;
      data1.valueFont=new Font(new FontFamily("Arial"),14);

          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(Color.LightGray);
	  l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Software",new FillStyle(Color.Blue));
	  l.addItem("Hardware",new FillStyle(Color.Green));
      l.addItem("Services",new FillStyle(Color.Yellow));
	  l.addItem("Other 1",new FillStyle(Color.Cyan));


	  // create title
	  Title title=new Title("Sales 1999");

	  // plotter
	  PiePlotter plot=new PiePlotter();
	  plot.radiusModifier=0.7;
	  plot.labelLine=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);

          // create chart
	  Chart chart=new Chart(title,plot,null,null);
      // chart background
      chart.back=new FillStyle(Color.DarkGray);
      chart.back.gradientType=FillStyle.GRADIENT_VERTICAL;          
      // add legend
	  chart.legend=l;
      // add data
	  chart.addSerie(data1);


      chart.backImage=Image.FromFile("back16.gif");;

	  return chart;

	}



	public static  Chart Example4() {
  // data
	  double[] d1={156.93,92.61,63.61};
	  bool[] b1={true,false,true,true};
	  String[] labels={"Software","Hardware","Services","Other"};
          // style of the pie
	  FillStyle[] s1={new FillStyle(Color.Cyan),new FillStyle(Color.Blue),new FillStyle(Color.Green),new FillStyle(Color.Yellow)};
	  PieDataSerie data1= new PieDataSerie(doubleArrayToRValue(d1),s1,b1,labels);
	  data1.valueFont=new Font(new FontFamily("Arial"),14);

          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(Color.LightGray);
	  l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem(labels[0],new FillStyle(Color.Blue));
	  l.addItem(labels[1],new FillStyle(Color.Green));
      l.addItem(labels[2],new FillStyle(Color.Yellow));
	  l.addItem(labels[3],new FillStyle(Color.Cyan));

	  // create title
	  Title title=new Title("Sales 1999");

	  // plotter
	  PiePlotter plot=new PiePlotter();
      // 3D effect
      plot.effect3D=true;
	  plot.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);

      data1.textDistanceToCenter=0.3;
	  plot.labelFormat="#PERCENTAGE#";

          // create chart
	  Chart chart=new Chart(title,plot,null,null);
      // chart background
      chart.back=new FillStyle(Color.DarkGray);
      chart.back.gradientType=FillStyle.GRADIENT_VERTICAL;

          // add legend
	  chart.legend=l;
      // legend position and layout
      chart.layout=Chart.LAYOUT_LEGEND_BOTTOM;
      chart.bottomMargin=0;
      chart.topMargin=0.2; // 20%
      l.verticalLayout=false;
      // add data
	  chart.addSerie(data1);

      chart.backImage=Image.FromFile("back16.gif");

	  return chart;

      //chart.saveToFile("d:\\a\\chart.png","PNG");
	}

	public static  Chart Example2() {

	  // data
	  double[] d1={1,2,3,4,5,4,2};
	  BarDataSerie data1= new BarDataSerie(doubleArrayToRValue(d1),new FillStyle(Color.Cyan));
	  data1.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          //data1.borderType=BarDataSerie.BORDER_RAISED;
          data1.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  data1.valueFont=new Font(new FontFamily("Arial"),10);

	  double[] d2={-2,3,4,4.2,6.4,4.5,6.1};
	  BarDataSerie data2= new BarDataSerie(doubleArrayToRValue(d2),new FillStyle(Color.Green));
	  data2.valueFont=new Font(new FontFamily("Arial"),10);
	  data2.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          data2.negativeStyle=new FillStyle(Color.Red);
          //data2.borderType=BarDataSerie.BORDER_RAISED;

	  Legend l=new Legend();
	  l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Company A",new FillStyle(Color.Cyan));
	  l.addItem("Company B",new FillStyle(Color.Green));

	  // create title
	  Title title=new Title("Benefits companies A & B");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
          XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=-3;
	  XAxis.scale.max=7;
	  YAxis.scale.min=0;
	  YAxis.scale.max=7;
	  YAxis.IntegerScale=true;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  XAxis.gridStyle=new LineStyle(1,Color.White,LineStyle.LINE_DOTS);
          YAxis.gridStyle=new LineStyle(1,Color.White,LineStyle.LINE_DOTS);
	  String[] lbls={"1992","1993","1994","1995","1996","1997","1998","1999"};
	  YAxis.tickLabels=lbls;

          HAxisLabel XLabel= new HAxisLabel("million $",Color.Black,new Font(new FontFamily("Arial"),12));
	  VAxisLabel YLabel= new VAxisLabel("Year",Color.Black,new Font(new FontFamily("Arial"),12));

	  // plotter
	  BarPlotter plot=new BarPlotter();
	  plot.verticalBars=false;
          plot.interBarSpace=0;
	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
          chart.back=new FillStyle(Color.LightGray);


	  return chart;

	}

	public static  Chart Example1() {

	   // data
	  double[] d1={1,0,3,4,5,4,2};
          double[] d2={3,8,4,3,0,9,6.100002};

          // series
	  LineDataSerie data1= new LineDataSerie(doubleArrayToRValue(d1),new LineStyle(2,Color.Blue,LineStyle.LINE_NORMAL));
	  data1.drawPoint=true;
	  data1.valueFormat="{0:F0}";
	  data1.valueFont=new Font(new FontFamily("Arial"),10);
	  LineDataSerie data2= new LineDataSerie(doubleArrayToRValue(d2),new LineStyle(2,Color.Green,LineStyle.LINE_NORMAL));
	  data2.drawPoint=true;
      //data2.fillStyle=new FillStyle(Color.Green);
	  data2.fillStyle=new FillStyle(Color.FromArgb(100,Color.Blue.R,Color.Blue.G, Color.Blue.B));
	  data2.valueFormat="{0:F0}";
	  data2.valueFont=new Font(new FontFamily("Arial"),10);

          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(Color.White);
	  l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",new LineStyle(1,Color.Blue,LineStyle.LINE_NORMAL));
	  l.addItem("Services",new LineStyle(1,Color.Green,LineStyle.LINE_NORMAL));
          //l.verticalLayout=false;

	  // create title
	  Title title=new Title("Sales (thousands $)");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
          XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
          YAxis.scale.max=7;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
   	  XAxis.gridStyle=new LineStyle(1,Color.White,LineStyle.LINE_DOTS);
          YAxis.gridStyle=new LineStyle(1,Color.White,LineStyle.LINE_DOTS);

	  XAxis.tickLabels=lbls;


          HAxisLabel XLabel= new HAxisLabel("Date",Color.White,new Font(new FontFamily("Arial"),14));
	  VAxisLabel YLabel= new VAxisLabel("Brutto",Color.White,new Font(new FontFamily("Arial"),14));
      YLabel.vertical=true;

	  // plotter
	  LinePlotter plot=new LinePlotter();

      plot.fixedLimits=true;


	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
      chart.back=new FillStyle(Color.Red);
      chart.back.gradientType=FillStyle.GRADIENT_HORIZONTAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
      //    chart.tmpImage=new image.BuffeRedImage(300,300,image.BuffeRedImage.TYPE_BYTE_INDEXED);
      //chart.layout=Chart.LAYOUT_LEGEND_BOTTOM;
	  chart.addSerie(data2);
	  chart.addSerie(data1);


	  
	  return chart;
 }


 	public static  Chart Example12() {

	   // data
	  double[] d1={1,2,3,4,5};
      double[] d2={2,3,4,4.2,3};

          // series
	  LineDataSerie data1= new LineDataSerie(doubleArrayToRValue(d1),new LineStyle(2,Color.FromArgb(100,Color.Blue.R,Color.Blue.G, Color.Blue.B),LineStyle.LINE_NORMAL));
	  data1.drawPoint=true;
	  data1.valueFont=new Font(new FontFamily("Arial"),10);
 	  data1.fillStyle=new FillStyle(Color.FromArgb(100,Color.Blue.R,Color.Blue.G, Color.Blue.B));
	  LineDataSerie data2= new LineDataSerie(doubleArrayToRValue(d2),new LineStyle(2,Color.Green,LineStyle.LINE_NORMAL));
	  data2.drawPoint=true;
	  data2.valueFont=new Font(new FontFamily("Arial"),10);
	  data2.fillStyle=new FillStyle(Color.Green);



          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(Color.White);
	  l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",new LineStyle(1,Color.Blue,LineStyle.LINE_NORMAL));
	  l.addItem("Services",new LineStyle(1,Color.Green,LineStyle.LINE_NORMAL));
          //l.verticalLayout=false;

	  // create title
	  Title title=new Title("Sales (thousands $)");

	  // plotter
	  RadarPlotter plot=new RadarPlotter();

	  double[] fMaxs={6,6,6,6,6};
	  double[] fMins={0,0,0,0,0};
	  String[] factors={"factor1","factor2","factor3","factor4","factor5","factor6"};

	  plot.factorMaxs=fMaxs;
	  plot.factorMins=fMins;
	  plot.factorNames=factors;
	  plot.backStyle=new FillStyle(Color.Yellow);

	  plot.gridStyle=new LineStyle(1,Color.Black,LineStyle.LINE_DASHED);
	  plot.gridFont=new Font(new FontFamily("Arial"),10);

	  // create report
	  Chart chart=new Chart(title,plot,null,null);
      chart.back=new FillStyle(Color.Red);
      chart.back.gradientType=FillStyle.GRADIENT_HORIZONTAL;
	  chart.legend=l;
          //chart.layout=Chart.LAYOUT_LEGEND_BOTTOM;
	  chart.addSerie(data2);
	  chart.addSerie(data1);

       return chart;

      // chart.setSize(400,400);
      // chart.saveToFile("c:\\a.jpg","JPEG");

 }



 	public static  Chart Example5() {

	   // data
	  double[] d1={3,4,3,4,5,4,2};
          double[] d2={2,3,4,6,6.4,4.5,6.1};

          // series
	  LineDataSerie data1= new LineDataSerie(doubleArrayToRValue(d1),new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL));
	  data1.drawPoint=true;
	  data1.valueFont=new Font(new FontFamily("Arial"),10);
 	  data1.fillStyle=new FillStyle(Color.FromArgb(100,Color.Blue.R,Color.Blue.G, Color.Blue.B));
	  LineDataSerie data2= new LineDataSerie(doubleArrayToRValue(d2),new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL));
	  data2.drawPoint=true;
	  data2.valueFont=new Font(new FontFamily("Arial"),10);
      data2.fillStyle=new FillStyle(Color.FromArgb(100,Color.Green.R,Color.Green.G, Color.Green.B));

          // legend
	  Legend l=new Legend();
	  //l.background=new FillStyle(Color.LightGray);
	  //l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",new FillStyle(Color.Blue));
	  l.addItem("Services",new FillStyle(Color.Green));

	  // create title
	  Title title=new Title("Sales (thousands $)");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
      XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
     // XAxis.scale.exactMaxValue=true;
      XAxis.autoNumberOfTicks=5;
      double[] pti={0.1,0.5,1,2,3,4,5,7,10,25,50,100,250,500,1000,5000,10000,50000,100000,500000,1000000};
      XAxis.ticks_preferred_Interval=pti;

	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
     YAxis.bigTickInterval=2;
      YAxis.gridStyle=new LineStyle(1,Color.Gray,LineStyle.LINE_NORMAL);
//	  String[] lbls={"June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
//	  XAxis.tickLabels=lbls;


          HAxisLabel XLabel= new HAxisLabel("",Color.Blue,new Font(new FontFamily("Arial"),14));
	  VAxisLabel YLabel= new VAxisLabel("Brutto",Color.Black,new Font(new FontFamily("Arial"),14));

	  // plotter
	  LinePlotter plot=new LinePlotter();

	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
          chart.back=new FillStyle(Color.Yellow);
          chart.back.colorFrom=Color.Yellow;
          chart.back.colorUntil=Color.White;
          chart.back.gradientType=FillStyle.GRADIENT_HORIZONTAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);

	  return chart;

	}


	public static  Chart Example6() {

	  // data
	  double[] d1={1,2,3,4,5,4,2};
	  BarDataSerie data1= new BarDataSerie(doubleArrayToRValue(d1),new FillStyle(Color.Orange));
	  //data1.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          data1.borderType=BarDataSerie.BORDER_RAISED;
	  data1.valueFont=new Font(new FontFamily("Arial"),10);

	  double[] d2={2,3,4,4.2,6.4,4.5,6.1};
	  BarDataSerie data2= new BarDataSerie(doubleArrayToRValue(d2),new FillStyle(Color.Green));
	  data2.valueFont=new Font(new FontFamily("Arial"),10);
	  //data2.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          data2.borderType=BarDataSerie.BORDER_RAISED;
          data2.negativeStyle=new FillStyle(Color.Red);

          // if jdk 1.2, fill partner
          //String v=java.lang.System.getProperty("java.version");
          //if (v.indexOf("1.2")>=0) {
          //   image.BuffeRedImage bi = new image.BuffeRedImage(5, 5,
          //                      image.BuffeRedImage.TYPE_INT_RGB);
          //  Graphics2D big = bi.createGraphics();
          //  big.setColor(Color.Orange);
           // big.fillRect(0, 0, 5, 5);
          //  big.setColor(Color.Red);
          //  big.fillOval(0, 0, 5, 5);
          //  Rectangle r = new Rectangle(0,0,5,5);
          //  data1.style.fillPatern=(new TexturePaint(bi, r));
         //}


	  Legend l=new Legend();
	  l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Company A",new FillStyle(Color.Orange));
	  l.addItem("Company B",new FillStyle(Color.Green));
          l.background=new FillStyle(Color.LightGray);

	  // create title
	  Title title=new Title("Benefits companies A & B");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
          XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  XAxis.scale.max=7;
	  YAxis.scale.min=0;
	  YAxis.scale.max=7;
	  YAxis.IntegerScale=true;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  XAxis.gridStyle=new LineStyle(1,Color.White,LineStyle.LINE_DOTS);
          YAxis.gridStyle=new LineStyle(1,Color.White,LineStyle.LINE_DOTS);
	  String[] lbls={"1992","1993","1994","1995","1996","1997","1998","1999"};
	  XAxis.tickLabels=lbls;

          HAxisLabel XLabel= new HAxisLabel("Year",Color.Black,new Font(new FontFamily("Arial"),12));
	  VAxisLabel YLabel= new VAxisLabel("million $",Color.Black,new Font(new FontFamily("Arial"),12));

	  // plotter
	  BarPlotter plot=new BarPlotter();
	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
          plot.interBarSpace=1;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
          chart.back=new FillStyle(Color.LightGray);

          chart.backImage=Image.FromFile("back13.gif");

	  return chart;

	}

        public static  Chart Example7() {

	  // data
	  double[] d1={1,2,3,4,5,4,2};
	  BarDataSerie data1= new BarDataSerie(doubleArrayToRValue(d1),new FillStyle(Color.Blue));
	  //data1.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          data1.borderType=BarDataSerie.BORDER_RAISED;

	  double[] d2={2,3,4,1.2,1.4,1.5,3.1};
	  BarDataSerie data2= new BarDataSerie(doubleArrayToRValue(d2),new FillStyle(Color.Red));
	  data2.valueFont=new Font(new FontFamily("Arial"),10);
	  //data2.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          data2.borderType=BarDataSerie.BORDER_RAISED;


	  Legend l=new Legend();
	  l.addItem("Company A",new FillStyle(Color.Red));
	  l.addItem("Company B",new FillStyle(Color.Blue));

	  // create title
	  Title title=new Title("Benefits companies A + B");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
          XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  XAxis.scale.max=8;
	  YAxis.scale.min=0;
	  YAxis.scale.max=7;
	  YAxis.IntegerScale=true;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  XAxis.style=new LineStyle(2,Color.LightGray,LineStyle.LINE_NORMAL);
          YAxis.style=new LineStyle(2,Color.LightGray,LineStyle.LINE_NORMAL);
	  XAxis.gridStyle=new LineStyle(1,Color.LightGray,LineStyle.LINE_DASHED);
          YAxis.gridStyle=new LineStyle(1,Color.LightGray,LineStyle.LINE_DASHED);
	  String[] lbls={"","1993","1994","1995","1996","1997","1998","1999",""};
	  XAxis.tickLabels=lbls;

          HAxisLabel XLabel= new HAxisLabel("Year",Color.Black,new Font(new FontFamily("Arial"),12));
	  VAxisLabel YLabel= new VAxisLabel("million $",Color.Black,new Font(new FontFamily("Arial"),12));

	  // plotter
	  BarPlotter plot=new BarPlotter();
	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
          chart.back=new FillStyle(Color.LightGray);
          plot.cumulative=true;
          plot.back=new FillStyle(Color.White);

	  return chart;


	}

 public static  Chart Example10() {

	   // data
	  double[] d1={1,2,3,4,5,3,4};
          double[] d2={0,1,2,3,4,5,3,4};

          // series
	  LineDataSerie data2= new LineDataSerie(doubleArrayToRValue(d2),new LineStyle(2,Color.Blue,LineStyle.LINE_NORMAL));
	  data2.valueFont=new Font(new FontFamily("Arial"),10);
	  BarDataSerie data1= new BarDataSerie(doubleArrayToRValue(d1),new FillStyle(Color.Orange));
	  data1.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);

          // legend
	  Legend l=new Legend();
	  l.background=new FillStyle(Color.White);
	  l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",new LineStyle(1,Color.Blue,LineStyle.LINE_NORMAL));
          l.verticalLayout=false;

	  // create title
	  Title title=new Title("Sales (thousands $)");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
          XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
          YAxis.scale.max=7;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
	  String[] lbls={"","June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
	  XAxis.tickLabels=lbls;


          HAxisLabel XLabel= new HAxisLabel("",Color.Blue,new Font(new FontFamily("Arial"),14));
	  VAxisLabel YLabel= new VAxisLabel("Brutto",Color.White,new Font(new FontFamily("Arial"),14));

	  // plotter
	  LinePlotter plot=new LinePlotter();

         // second plotter
          BarPlotter plot2=new BarPlotter();

	  // create report
	  Chart chart=new Chart(title,plot2,XAxis,YAxis);
          chart.addPlotter(plot);
          chart.back=new FillStyle(Color.Green);
          chart.back.colorUntil=Color.Green;
          chart.back.colorFrom=Color.White;
          chart.back.gradientType=FillStyle.GRADIENT_VERTICAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
          chart.layout=Chart.LAYOUT_LEGEND_BOTTOM;
	  plot.addSerie(data2);
	  plot2.addSerie(data1);
          plot2.barWidth=20;

	  return chart;

	}



	public static  Chart Example14() {

	   // data
	  double[] d1={2,1 ,2 ,3 ,4 ,5 ,4 ,3};
	  double[] dmin1={1.5,0.85 ,1.5 ,2.8 ,3, 4.8 ,3.5,2.5 };
	  double[] dmax1={2.3,1.15 ,2.5 ,3.2 ,4.4 ,5.3,4.5 ,3.3};
	  MaxMinDataSerie data1= new MaxMinDataSerie(doubleArrayToRValue(d1),null);
	  data1.drawPoint=true;
          data1.drawLineEnd=true;
          data1.pointColor=Color.Green;
	  data1.setMaxMinValues(doubleArrayToRValue(dmax1),doubleArrayToRValue(dmin1));
          data1.maxminStyle=new LineStyle(1,Color.White,LineStyle.LINE_NORMAL);

	  //data1.valueFont=new Font("Arial",Font.BOLD,10);

	  double[] d2={2,1 ,2 ,3 ,4 ,5 ,4 ,3};
	  LineDataSerie data2= new LineDataSerie(doubleArrayToRValue(d2),new LineStyle(1,Color.White,LineStyle.LINE_DOTS));
          data2.valueFont=new Font(new FontFamily("Arial"),10);
          data2.valueColor=Color.Green;

	  // create title
	  Title title=new Title("Price");
          title.color=Color.White;

	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
          XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
          YAxis.scale.max=6;
          YAxis.DescColor=Color.White;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
          XAxis.bigTickInterval=1;
          XAxis.DescColor=Color.White;
 	  String[] lbls={"8 Jan.","9 Jan.","10 Jan.","11 Jan.","12 Jan.","13 Jan.","14 Jan.","15 Jan."};
	  XAxis.tickLabels=lbls;
          XAxis.style =new LineStyle(1,Color.White,LineStyle.LINE_NORMAL);
          YAxis.style =new LineStyle(1,Color.White,LineStyle.LINE_NORMAL);

          HAxisLabel XLabel= new HAxisLabel("Week",Color.White,new Font(new FontFamily("Arial"),12));
	  VAxisLabel YLabel= new VAxisLabel("Value",Color.White,new Font(new FontFamily("Arial"),12));

	  // plotter
	  LinePlotter plot=new LinePlotter();

	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
      chart.back=new FillStyle(Color.Black);

      chart.backImage=Image.FromFile("back5.jpg");

	  return chart;

	}




  	public static  Chart Example15() {

         Image im1=Image.FromFile("point.gif");

         Image im2=Image.FromFile("point2.gif");

         // load backgorund

         Image im3=Image.FromFile("back19.jpg");

	   // data
	  double[] d1={1,4,3,4,5,4,2};
          double[] d2={2,3,4,6,6.4,4.5,6.1};

          // series
	  LineDataSerie data1= new LineDataSerie(doubleArrayToRValue(d1),new LineStyle(1,Color.Blue,LineStyle.LINE_NORMAL));
	  data1.drawPoint=true;
          data1.icon=im1;
          data1.lineType=LinePlotter.TYPE_CUBIC_NATURAL;


	  LineDataSerie data2= new LineDataSerie(doubleArrayToRValue(d2),new LineStyle(2,Color.Green,LineStyle.LINE_DASHED));
	  data2.drawPoint=true;
          data2.icon=im2;
          data2.lineType=LinePlotter.TYPE_LEAST_SQUARES_LINE;


          // legend
	  Legend l=new Legend();
	  //l.background=new FillStyle(Color.LightGray);
	  //l.border=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
	  l.addItem("Products",im1);
	  l.addItem("Services",im2);

	  // create title
	  Title title=new Title("Sales (thousands $)");
	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
          XAxis.tickAtBase=true; // draw also first tick
	  XAxis.scale.min=0;
	  YAxis.scale.min=0;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
          YAxis.bigTickInterval=2;
          YAxis.gridStyle=new LineStyle(1,Color.Gray,LineStyle.LINE_NORMAL);
	  String[] lbls={"June","July","Aug.","Sept.","Oct.","Nov.","Dec."};
	  XAxis.tickLabels=lbls;


          HAxisLabel XLabel= new HAxisLabel("",Color.Blue,new Font(new FontFamily("Arial"),14));
	  VAxisLabel YLabel= new VAxisLabel("Brutto",Color.Black,new Font(new FontFamily("Arial"),14));

	  // plotter
	  CurvePlotter plot=new CurvePlotter();

	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
          chart.back=new FillStyle(Color.Yellow);
          chart.back.colorFrom=Color.Yellow;
          chart.back.colorUntil=Color.White;
          chart.back.gradientType=FillStyle.GRADIENT_HORIZONTAL;
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.legend=l;
	  chart.addSerie(data2);
	  chart.addSerie(data1);
          chart.backImage=im3;

	  return chart;

	}

       public static  Chart Example11() {

	   // data
	  double[] d1=      {2   ,1    ,2  ,3  ,4.3 ,5   ,4   ,3};
          double[] dclose1={ 2.3 , 1.15 ,2.5,2.8,4 ,5.1 ,3.5 ,3.2};
	  double[] dmin1={1.5    , 0.85,1.5,2.8,3 , 4.8,3.0 ,2.5 };
	  double[] dmax1={2.5    ,1.5 ,2.6,3.2, 4.4,5.3,4.5 ,3.3};
	  MaxMinDataSerie data1= new MaxMinDataSerie(doubleArrayToRValue(d1),doubleArrayToRValue(dclose1),doubleArrayToRValue(dmin1),doubleArrayToRValue(dmax1),null);
          data1.drawLineEnd=false;
	  data1.setMaxMinValues(doubleArrayToRValue(dmax1),doubleArrayToRValue(dmin1));
          data1.maxminStyle=new LineStyle(1,Color.Black,LineStyle.LINE_NORMAL);
          data1.drawPoint=false;
          data1.positiveValueColor=Color.Yellow;

	  // create title
	  Title title=new Title("Price");
          title.color=Color.Black;

	  // create axis
	  Axis  XAxis=new Axis(Axis.HORIZONTAL,new Scale());
	  Axis  YAxis=new Axis(Axis.VERTICAL,new Scale());
          XAxis.tickAtBase=false; // draw also first tick
          YAxis.ceroAxis=Axis.CEROAXIS_NO;
          YAxis.gridStyle=new LineStyle(1,Color.White,LineStyle.LINE_DASHED);
	  XAxis.scale.min=-1;
	  YAxis.scale.min=0;
          YAxis.scale.max=6;
          YAxis.DescColor=Color.Black;
	  YAxis.scaleTickInterval=1;
	  XAxis.scaleTickInterval=1;
          XAxis.bigTickInterval=1;
          XAxis.gridStyle=new LineStyle(1,Color.White,LineStyle.LINE_DASHED);
          XAxis.DescColor=Color.Black;
 	  String[] lbls={"8 Jan.","9 Jan.","10 Jan.","11 Jan.","12 Jan.","13 Jan.","14 Jan.","15 Jan."};
	  XAxis.tickLabels=lbls;
          XAxis.style =new LineStyle(2,Color.Black,LineStyle.LINE_NORMAL);
          YAxis.style =new LineStyle(2,Color.Black,LineStyle.LINE_NORMAL);

          HAxisLabel XLabel= new HAxisLabel("Week",Color.Black,new Font(new FontFamily("Arial"),12));
	  VAxisLabel YLabel= new VAxisLabel("Value",Color.Black,new Font(new FontFamily("Arial"),12));

	  // plotter
	  LinePlotter plot=new LinePlotter();
          plot.MaxMinType=LinePlotter.MM_CANDLESTICK;

	  // create report
	  Chart chart=new Chart(title,plot,XAxis,YAxis);
	  chart.XLabel=XLabel;
	  chart.YLabel=YLabel;
	  chart.addSerie(data1);
      chart.back=new FillStyle(Color.Black);

          chart.backImage=Image.FromFile("back13.gif");

	  return chart;

	}



	
	
}
